Desktop plumbing: creates or updates the backup settings for one device on a desktop install and returns the full app config.
POST
/app-config/device-settings
curl \
--request POST 'http://api.example.com/app-config/device-settings' \
--header "Authorization: Bearer $ACCESS_TOKEN" \
--header "Content-Type: application/json" \
--data '{
"systemId": "string",
"deviceId": "string",
"deviceType": "unknown",
"defaultBackupPath": "string",
"lastUsedBackupPath": "string",
"autoBackupFrequency": "none",
"deviceMetadata": {},
"otherSettings": {},
"lastBackupAt": "2026-05-04T09:42:00Z",
"lastLocalBackupAt": "2026-05-04T09:42:00Z"
}'
Request examples
{
"systemId": "string",
"deviceId": "string",
"deviceType": "unknown",
"defaultBackupPath": "string",
"lastUsedBackupPath": "string",
"autoBackupFrequency": "none",
"deviceMetadata": {},
"otherSettings": {},
"lastBackupAt": "2026-05-04T09:42:00Z",
"lastLocalBackupAt": "2026-05-04T09:42:00Z"
}
Response examples (201)
{
"data": {
"createdAt": "2026-01-15T14:30:00.000Z",
"updatedAt": "2026-01-15T14:30:00.000Z",
"id": "507f1f77bcf86cd799439011",
"systemId": "3f8e1c5a9b2d4e6f7a8b9c0d1e2f3a4b5c6d7e8f9a0b1c2d3e4f5a6b7c8d9e0f",
"deviceSettings": [
{
"createdAt": "2026-01-15T14:30:00.000Z",
"updatedAt": "2026-01-15T14:30:00.000Z",
"id": "507f1f77bcf86cd799439011",
"systemId": "3f8e1c5a9b2d4e6f7a8b9c0d1e2f3a4b5c6d7e8f9a0b1c2d3e4f5a6b7c8d9e0f",
"deviceId": "00008110-001A2B3C4D5E",
"deviceType": "unknown",
"backupPaths": [
"/Users/jane/HearsayBackups"
],
"defaultBackupPath": "/Users/jane/HearsayBackups",
"lastUsedBackupPath": "/Users/jane/HearsayBackups",
"device": "507f1f77bcf86cd799439011",
"lastBackupAt": "2026-01-15T14:30:00.000Z",
"lastLocalBackupAt": "2026-01-15T14:30:00.000Z",
"autoBackupFrequency": "none",
"deviceMetadata": {
"name": "Jane Doe's iPhone",
"productType": "iPhone15,2",
"productVersion": "17.4.1",
"timeZone": "America/Chicago"
},
"otherSettings": {}
}
],
"defaultBackupPath": "/Users/jane/HearsayBackups",
"lastUsedBackupPath": "/Users/jane/HearsayBackups",
"otherSettings": {},
"osDetails": {
"arch": "arm64",
"platform": "darwin",
"version": "14.4",
"type": "Darwin",
"osType": "Darwin",
"machine": "arm64",
"totalMemory": 17179869184,
"cpus": {},
"extraInformation": {
"cpu": {
"manufacturer": "Apple",
"brand": "M2",
"physicalCores": 8
},
"mem": {
"total": 17179869184
},
"osInfo": {
"platform": "darwin",
"distro": "macOS",
"release": "14.4",
"arch": "arm64"
},
"battery": {
"hasBattery": true,
"percent": 80
}
}
},
"lastAppUsedAt": "2026-01-15T14:30:00.000Z",
"lastUsedAppVersion": "2.1.15",
"defaultSettings": {
"contactAdminDeviceRequestText": "Please add another device to my account."
}
},
"statusCode": 201,
"timestamp": "2026-01-15T10:15:00.000Z"
}